Bug 193435 - FC5 installer doesn't work with Memory Hole Remapping On on 4G systems
FC5 installer doesn't work with Memory Hole Remapping On on 4G systems
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-05-28 11:23 EDT by Joshua Rosen
Modified: 2008-01-19 23:38 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:38:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joshua Rosen 2006-05-28 11:23:19 EDT
Description of problem:On 4G AMD64 systems the installer crashes if memory hole
remapping is on. Memory hole remapping moves the IOMMU so that all 4G of RAM are
available. In the MSI K8N Neo4 Platinum (Nforce4 Ultra) there are three options
available in the BIOS (Advanced options under DRAM). These are Memory Hole
Remapping disabled, S/W Remapping and H/W remapping. When H/W remapping is
enabled the FC5 installer doesn't work. The first problem was that it said there
wasn't enough disk space (I was installing on an 8G partition). It was able to
continue from this point and run for awhile until it crashed. With memory hole
remapping off the installer works fine. 

I don't know which kernel you use in the installer but if it's 2.6.14 that could
be the source of the problem. There is a known bug in the IOMMU module of 2.6.14
on systems with Memory Hole Remapping on (both hardware and software remapping).
The 2.6.15 kernel fixed the bug and the 2.6.16 kernel is also fine. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Turn on Memory Hole Remapping on an NForce4 system with 4G of RAM
2.Install FC5
Actual results:

Installer crashes
Expected results:

Additional info: The work around is to disable Memory Hole Remapping during the
install and then reenable it when the install is done.
Comment 1 Dave Jones 2006-10-16 13:52:46 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 2 Joshua Rosen 2006-10-30 00:45:55 EST
I'll be trying FC6 in the next couple of weeks. Assuming that the FC6 installer
is using a new kernel I would expect this bug to have been fixed. I'll let you know.
Comment 3 Francis Upton 2007-02-24 02:58:26 EST
Please see:


Which is happening on FC6 2.6.19-1.2911.fc6
Comment 4 Jon Stanley 2008-01-19 23:38:19 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.